Subject: Re: bug#51411: NS port cleanups

From: Alan Third <[email-masked]>
Date: Sun, 31 Oct 2021 12:55:11 +0000

On Sun, Oct 31, 2021 at 07:26:05PM +0800, Po Lu wrote:
> Alan Third <[email-masked]> writes:
> 
> > I noticed that you removed all calls to ns_focus in
> > ns_draw_window_cursor and thought you'd removed all calls to ns_focus,
> > but now I see that's an older change.
> >
> > Is that a good idea? I think ns_draw_window_cursor is sometimes called
> > without matching ns_update_begin/end calls, so it needs to focus, or am I
> > misunderstanding the flow?
> 
> I don't know if ns_draw_window_cursor is called outside
> ns_update_begin/end, but if that's the case then I'm not sure how, for
> instance, double buffering would work on the X port.

Some drawing functions are definitely used outside
ns_update_begin/end, at least in the NS port.

Could you please put ns_focus calls back into ns_draw_window_cursor,
just in case they are needed, and we can get these changes put into
master and then maybe look at whether we need all these ns_focus calls
as a separate task (it would certainly be nice if we could get rid of
a few of them!).
-- 
Alan Third